import filter from './loglevel.filter';
import * as winston from 'winston';
import { level as levelEnum } from './level.enum';

export class TransportOptions {
  extension = '.log';
  maxSize = '1m';
  maxFiles = '60';
  zippedArchive = true;
  filename = 'info';
  level = levelEnum.info;
  dirname = 'logs';
  format: winston.Logform.Format = winston.format.combine(
    filter(this.level),
    winston.format.timestamp(),
    winston.format.json(),
  );

  constructor(dir: string, level: levelEnum, filename: string) {
    this.level = level;
    this.filename = filename;
    this.dirname += '/' + dir;
    this.format = winston.format.combine(
      filter(this.level),
      winston.format.timestamp(),
      winston.format.json(),
    );
  }
}
